IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network79.167.53.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
79.167.53.0- Broadcast address
79.167.53.255- First usable
79.167.53.1- Last usable
79.167.53.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
4FA73500· Integer1336358144to1336358399 - Reverse DNS zone
53.167.79.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01001111.10100111.00110101..00000000 | 79.167.53.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 01001111.10100111.00110101..00000000 | 79.167.53.0 |
| Broadcast | 01001111.10100111.00110101..11111111 | 79.167.53.255 |
Split into smaller subnets
79.167.53.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 79.167.53.0/32 | 79.167.53.0 to 79.167.53.0 | — | 1 |
| 2 | 79.167.53.1/32 | 79.167.53.1 to 79.167.53.1 | — | 1 |
| 3 | 79.167.53.2/32 | 79.167.53.2 to 79.167.53.2 | — | 1 |
| 4 | 79.167.53.3/32 | 79.167.53.3 to 79.167.53.3 | — | 1 |
| 5 | 79.167.53.4/32 | 79.167.53.4 to 79.167.53.4 | — | 1 |
| 6 | 79.167.53.5/32 | 79.167.53.5 to 79.167.53.5 | — | 1 |
| 7 | 79.167.53.6/32 | 79.167.53.6 to 79.167.53.6 | — | 1 |
| 8 | 79.167.53.7/32 | 79.167.53.7 to 79.167.53.7 | — | 1 |
| 9 | 79.167.53.8/32 | 79.167.53.8 to 79.167.53.8 | — | 1 |
| 10 | 79.167.53.9/32 | 79.167.53.9 to 79.167.53.9 | — | 1 |
| 11 | 79.167.53.10/32 | 79.167.53.10 to 79.167.53.10 | — | 1 |
| 12 | 79.167.53.11/32 | 79.167.53.11 to 79.167.53.11 | — | 1 |
| 13 | 79.167.53.12/32 | 79.167.53.12 to 79.167.53.12 | — | 1 |
| 14 | 79.167.53.13/32 | 79.167.53.13 to 79.167.53.13 | — | 1 |
| 15 | 79.167.53.14/32 | 79.167.53.14 to 79.167.53.14 | — | 1 |
| 16 | 79.167.53.15/32 | 79.167.53.15 to 79.167.53.15 | — | 1 |
| 17 | 79.167.53.16/32 | 79.167.53.16 to 79.167.53.16 | — | 1 |
| 18 | 79.167.53.17/32 | 79.167.53.17 to 79.167.53.17 | — | 1 |
| 19 | 79.167.53.18/32 | 79.167.53.18 to 79.167.53.18 | — | 1 |
| 20 | 79.167.53.19/32 | 79.167.53.19 to 79.167.53.19 | — | 1 |
| 21 | 79.167.53.20/32 | 79.167.53.20 to 79.167.53.20 | — | 1 |
| 22 | 79.167.53.21/32 | 79.167.53.21 to 79.167.53.21 | — | 1 |
| 23 | 79.167.53.22/32 | 79.167.53.22 to 79.167.53.22 | — | 1 |
| 24 | 79.167.53.23/32 | 79.167.53.23 to 79.167.53.23 | — | 1 |
| 25 | 79.167.53.24/32 | 79.167.53.24 to 79.167.53.24 | — | 1 |
| 26 | 79.167.53.25/32 | 79.167.53.25 to 79.167.53.25 | — | 1 |
| 27 | 79.167.53.26/32 | 79.167.53.26 to 79.167.53.26 | — | 1 |
| 28 | 79.167.53.27/32 | 79.167.53.27 to 79.167.53.27 | — | 1 |
| 29 | 79.167.53.28/32 | 79.167.53.28 to 79.167.53.28 | — | 1 |
| 30 | 79.167.53.29/32 | 79.167.53.29 to 79.167.53.29 | — | 1 |
| 31 | 79.167.53.30/32 | 79.167.53.30 to 79.167.53.30 | — | 1 |
| 32 | 79.167.53.31/32 | 79.167.53.31 to 79.167.53.31 | — | 1 |
| 33 | 79.167.53.32/32 | 79.167.53.32 to 79.167.53.32 | — | 1 |
| 34 | 79.167.53.33/32 | 79.167.53.33 to 79.167.53.33 | — | 1 |
| 35 | 79.167.53.34/32 | 79.167.53.34 to 79.167.53.34 | — | 1 |
| 36 | 79.167.53.35/32 | 79.167.53.35 to 79.167.53.35 | — | 1 |
| 37 | 79.167.53.36/32 | 79.167.53.36 to 79.167.53.36 | — | 1 |
| 38 | 79.167.53.37/32 | 79.167.53.37 to 79.167.53.37 | — | 1 |
| 39 | 79.167.53.38/32 | 79.167.53.38 to 79.167.53.38 | — | 1 |
| 40 | 79.167.53.39/32 | 79.167.53.39 to 79.167.53.39 | — | 1 |
| 41 | 79.167.53.40/32 | 79.167.53.40 to 79.167.53.40 | — | 1 |
| 42 | 79.167.53.41/32 | 79.167.53.41 to 79.167.53.41 | — | 1 |
| 43 | 79.167.53.42/32 | 79.167.53.42 to 79.167.53.42 | — | 1 |
| 44 | 79.167.53.43/32 | 79.167.53.43 to 79.167.53.43 | — | 1 |
| 45 | 79.167.53.44/32 | 79.167.53.44 to 79.167.53.44 | — | 1 |
| 46 | 79.167.53.45/32 | 79.167.53.45 to 79.167.53.45 | — | 1 |
| 47 | 79.167.53.46/32 | 79.167.53.46 to 79.167.53.46 | — | 1 |
| 48 | 79.167.53.47/32 | 79.167.53.47 to 79.167.53.47 | — | 1 |
| 49 | 79.167.53.48/32 | 79.167.53.48 to 79.167.53.48 | — | 1 |
| 50 | 79.167.53.49/32 | 79.167.53.49 to 79.167.53.49 | — | 1 |
| 51 | 79.167.53.50/32 | 79.167.53.50 to 79.167.53.50 | — | 1 |
| 52 | 79.167.53.51/32 | 79.167.53.51 to 79.167.53.51 | — | 1 |
| 53 | 79.167.53.52/32 | 79.167.53.52 to 79.167.53.52 | — | 1 |
| 54 | 79.167.53.53/32 | 79.167.53.53 to 79.167.53.53 | — | 1 |
| 55 | 79.167.53.54/32 | 79.167.53.54 to 79.167.53.54 | — | 1 |
| 56 | 79.167.53.55/32 | 79.167.53.55 to 79.167.53.55 | — | 1 |
| 57 | 79.167.53.56/32 | 79.167.53.56 to 79.167.53.56 | — | 1 |
| 58 | 79.167.53.57/32 | 79.167.53.57 to 79.167.53.57 | — | 1 |
| 59 | 79.167.53.58/32 | 79.167.53.58 to 79.167.53.58 | — | 1 |
| 60 | 79.167.53.59/32 | 79.167.53.59 to 79.167.53.59 | — | 1 |
| 61 | 79.167.53.60/32 | 79.167.53.60 to 79.167.53.60 | — | 1 |
| 62 | 79.167.53.61/32 | 79.167.53.61 to 79.167.53.61 | — | 1 |
| 63 | 79.167.53.62/32 | 79.167.53.62 to 79.167.53.62 | — | 1 |
| 64 | 79.167.53.63/32 | 79.167.53.63 to 79.167.53.63 | — | 1 |
| 65 | 79.167.53.64/32 | 79.167.53.64 to 79.167.53.64 | — | 1 |
| 66 | 79.167.53.65/32 | 79.167.53.65 to 79.167.53.65 | — | 1 |
| 67 | 79.167.53.66/32 | 79.167.53.66 to 79.167.53.66 | — | 1 |
| 68 | 79.167.53.67/32 | 79.167.53.67 to 79.167.53.67 | — | 1 |
| 69 | 79.167.53.68/32 | 79.167.53.68 to 79.167.53.68 | — | 1 |
| 70 | 79.167.53.69/32 | 79.167.53.69 to 79.167.53.69 | — | 1 |
| 71 | 79.167.53.70/32 | 79.167.53.70 to 79.167.53.70 | — | 1 |
| 72 | 79.167.53.71/32 | 79.167.53.71 to 79.167.53.71 | — | 1 |
| 73 | 79.167.53.72/32 | 79.167.53.72 to 79.167.53.72 | — | 1 |
| 74 | 79.167.53.73/32 | 79.167.53.73 to 79.167.53.73 | — | 1 |
| 75 | 79.167.53.74/32 | 79.167.53.74 to 79.167.53.74 | — | 1 |
| 76 | 79.167.53.75/32 | 79.167.53.75 to 79.167.53.75 | — | 1 |
| 77 | 79.167.53.76/32 | 79.167.53.76 to 79.167.53.76 | — | 1 |
| 78 | 79.167.53.77/32 | 79.167.53.77 to 79.167.53.77 | — | 1 |
| 79 | 79.167.53.78/32 | 79.167.53.78 to 79.167.53.78 | — | 1 |
| 80 | 79.167.53.79/32 | 79.167.53.79 to 79.167.53.79 | — | 1 |
| 81 | 79.167.53.80/32 | 79.167.53.80 to 79.167.53.80 | — | 1 |
| 82 | 79.167.53.81/32 | 79.167.53.81 to 79.167.53.81 | — | 1 |
| 83 | 79.167.53.82/32 | 79.167.53.82 to 79.167.53.82 | — | 1 |
| 84 | 79.167.53.83/32 | 79.167.53.83 to 79.167.53.83 | — | 1 |
| 85 | 79.167.53.84/32 | 79.167.53.84 to 79.167.53.84 | — | 1 |
| 86 | 79.167.53.85/32 | 79.167.53.85 to 79.167.53.85 | — | 1 |
| 87 | 79.167.53.86/32 | 79.167.53.86 to 79.167.53.86 | — | 1 |
| 88 | 79.167.53.87/32 | 79.167.53.87 to 79.167.53.87 | — | 1 |
| 89 | 79.167.53.88/32 | 79.167.53.88 to 79.167.53.88 | — | 1 |
| 90 | 79.167.53.89/32 | 79.167.53.89 to 79.167.53.89 | — | 1 |
| 91 | 79.167.53.90/32 | 79.167.53.90 to 79.167.53.90 | — | 1 |
| 92 | 79.167.53.91/32 | 79.167.53.91 to 79.167.53.91 | — | 1 |
| 93 | 79.167.53.92/32 | 79.167.53.92 to 79.167.53.92 | — | 1 |
| 94 | 79.167.53.93/32 | 79.167.53.93 to 79.167.53.93 | — | 1 |
| 95 | 79.167.53.94/32 | 79.167.53.94 to 79.167.53.94 | — | 1 |
| 96 | 79.167.53.95/32 | 79.167.53.95 to 79.167.53.95 | — | 1 |
| 97 | 79.167.53.96/32 | 79.167.53.96 to 79.167.53.96 | — | 1 |
| 98 | 79.167.53.97/32 | 79.167.53.97 to 79.167.53.97 | — | 1 |
| 99 | 79.167.53.98/32 | 79.167.53.98 to 79.167.53.98 | — | 1 |
| 100 | 79.167.53.99/32 | 79.167.53.99 to 79.167.53.99 | — | 1 |
| 101 | 79.167.53.100/32 | 79.167.53.100 to 79.167.53.100 | — | 1 |
| 102 | 79.167.53.101/32 | 79.167.53.101 to 79.167.53.101 | — | 1 |
| 103 | 79.167.53.102/32 | 79.167.53.102 to 79.167.53.102 | — | 1 |
| 104 | 79.167.53.103/32 | 79.167.53.103 to 79.167.53.103 | — | 1 |
| 105 | 79.167.53.104/32 | 79.167.53.104 to 79.167.53.104 | — | 1 |
| 106 | 79.167.53.105/32 | 79.167.53.105 to 79.167.53.105 | — | 1 |
| 107 | 79.167.53.106/32 | 79.167.53.106 to 79.167.53.106 | — | 1 |
| 108 | 79.167.53.107/32 | 79.167.53.107 to 79.167.53.107 | — | 1 |
| 109 | 79.167.53.108/32 | 79.167.53.108 to 79.167.53.108 | — | 1 |
| 110 | 79.167.53.109/32 | 79.167.53.109 to 79.167.53.109 | — | 1 |
| 111 | 79.167.53.110/32 | 79.167.53.110 to 79.167.53.110 | — | 1 |
| 112 | 79.167.53.111/32 | 79.167.53.111 to 79.167.53.111 | — | 1 |
| 113 | 79.167.53.112/32 | 79.167.53.112 to 79.167.53.112 | — | 1 |
| 114 | 79.167.53.113/32 | 79.167.53.113 to 79.167.53.113 | — | 1 |
| 115 | 79.167.53.114/32 | 79.167.53.114 to 79.167.53.114 | — | 1 |
| 116 | 79.167.53.115/32 | 79.167.53.115 to 79.167.53.115 | — | 1 |
| 117 | 79.167.53.116/32 | 79.167.53.116 to 79.167.53.116 | — | 1 |
| 118 | 79.167.53.117/32 | 79.167.53.117 to 79.167.53.117 | — | 1 |
| 119 | 79.167.53.118/32 | 79.167.53.118 to 79.167.53.118 | — | 1 |
| 120 | 79.167.53.119/32 | 79.167.53.119 to 79.167.53.119 | — | 1 |
| 121 | 79.167.53.120/32 | 79.167.53.120 to 79.167.53.120 | — | 1 |
| 122 | 79.167.53.121/32 | 79.167.53.121 to 79.167.53.121 | — | 1 |
| 123 | 79.167.53.122/32 | 79.167.53.122 to 79.167.53.122 | — | 1 |
| 124 | 79.167.53.123/32 | 79.167.53.123 to 79.167.53.123 | — | 1 |
| 125 | 79.167.53.124/32 | 79.167.53.124 to 79.167.53.124 | — | 1 |
| 126 | 79.167.53.125/32 | 79.167.53.125 to 79.167.53.125 | — | 1 |
| 127 | 79.167.53.126/32 | 79.167.53.126 to 79.167.53.126 | — | 1 |
| 128 | 79.167.53.127/32 | 79.167.53.127 to 79.167.53.127 | — | 1 |
| 129 | 79.167.53.128/32 | 79.167.53.128 to 79.167.53.128 | — | 1 |
| 130 | 79.167.53.129/32 | 79.167.53.129 to 79.167.53.129 | — | 1 |
| 131 | 79.167.53.130/32 | 79.167.53.130 to 79.167.53.130 | — | 1 |
| 132 | 79.167.53.131/32 | 79.167.53.131 to 79.167.53.131 | — | 1 |
| 133 | 79.167.53.132/32 | 79.167.53.132 to 79.167.53.132 | — | 1 |
| 134 | 79.167.53.133/32 | 79.167.53.133 to 79.167.53.133 | — | 1 |
| 135 | 79.167.53.134/32 | 79.167.53.134 to 79.167.53.134 | — | 1 |
| 136 | 79.167.53.135/32 | 79.167.53.135 to 79.167.53.135 | — | 1 |
| 137 | 79.167.53.136/32 | 79.167.53.136 to 79.167.53.136 | — | 1 |
| 138 | 79.167.53.137/32 | 79.167.53.137 to 79.167.53.137 | — | 1 |
| 139 | 79.167.53.138/32 | 79.167.53.138 to 79.167.53.138 | — | 1 |
| 140 | 79.167.53.139/32 | 79.167.53.139 to 79.167.53.139 | — | 1 |
| 141 | 79.167.53.140/32 | 79.167.53.140 to 79.167.53.140 | — | 1 |
| 142 | 79.167.53.141/32 | 79.167.53.141 to 79.167.53.141 | — | 1 |
| 143 | 79.167.53.142/32 | 79.167.53.142 to 79.167.53.142 | — | 1 |
| 144 | 79.167.53.143/32 | 79.167.53.143 to 79.167.53.143 | — | 1 |
| 145 | 79.167.53.144/32 | 79.167.53.144 to 79.167.53.144 | — | 1 |
| 146 | 79.167.53.145/32 | 79.167.53.145 to 79.167.53.145 | — | 1 |
| 147 | 79.167.53.146/32 | 79.167.53.146 to 79.167.53.146 | — | 1 |
| 148 | 79.167.53.147/32 | 79.167.53.147 to 79.167.53.147 | — | 1 |
| 149 | 79.167.53.148/32 | 79.167.53.148 to 79.167.53.148 | — | 1 |
| 150 | 79.167.53.149/32 | 79.167.53.149 to 79.167.53.149 | — | 1 |
| 151 | 79.167.53.150/32 | 79.167.53.150 to 79.167.53.150 | — | 1 |
| 152 | 79.167.53.151/32 | 79.167.53.151 to 79.167.53.151 | — | 1 |
| 153 | 79.167.53.152/32 | 79.167.53.152 to 79.167.53.152 | — | 1 |
| 154 | 79.167.53.153/32 | 79.167.53.153 to 79.167.53.153 | — | 1 |
| 155 | 79.167.53.154/32 | 79.167.53.154 to 79.167.53.154 | — | 1 |
| 156 | 79.167.53.155/32 | 79.167.53.155 to 79.167.53.155 | — | 1 |
| 157 | 79.167.53.156/32 | 79.167.53.156 to 79.167.53.156 | — | 1 |
| 158 | 79.167.53.157/32 | 79.167.53.157 to 79.167.53.157 | — | 1 |
| 159 | 79.167.53.158/32 | 79.167.53.158 to 79.167.53.158 | — | 1 |
| 160 | 79.167.53.159/32 | 79.167.53.159 to 79.167.53.159 | — | 1 |
| 161 | 79.167.53.160/32 | 79.167.53.160 to 79.167.53.160 | — | 1 |
| 162 | 79.167.53.161/32 | 79.167.53.161 to 79.167.53.161 | — | 1 |
| 163 | 79.167.53.162/32 | 79.167.53.162 to 79.167.53.162 | — | 1 |
| 164 | 79.167.53.163/32 | 79.167.53.163 to 79.167.53.163 | — | 1 |
| 165 | 79.167.53.164/32 | 79.167.53.164 to 79.167.53.164 | — | 1 |
| 166 | 79.167.53.165/32 | 79.167.53.165 to 79.167.53.165 | — | 1 |
| 167 | 79.167.53.166/32 | 79.167.53.166 to 79.167.53.166 | — | 1 |
| 168 | 79.167.53.167/32 | 79.167.53.167 to 79.167.53.167 | — | 1 |
| 169 | 79.167.53.168/32 | 79.167.53.168 to 79.167.53.168 | — | 1 |
| 170 | 79.167.53.169/32 | 79.167.53.169 to 79.167.53.169 | — | 1 |
| 171 | 79.167.53.170/32 | 79.167.53.170 to 79.167.53.170 | — | 1 |
| 172 | 79.167.53.171/32 | 79.167.53.171 to 79.167.53.171 | — | 1 |
| 173 | 79.167.53.172/32 | 79.167.53.172 to 79.167.53.172 | — | 1 |
| 174 | 79.167.53.173/32 | 79.167.53.173 to 79.167.53.173 | — | 1 |
| 175 | 79.167.53.174/32 | 79.167.53.174 to 79.167.53.174 | — | 1 |
| 176 | 79.167.53.175/32 | 79.167.53.175 to 79.167.53.175 | — | 1 |
| 177 | 79.167.53.176/32 | 79.167.53.176 to 79.167.53.176 | — | 1 |
| 178 | 79.167.53.177/32 | 79.167.53.177 to 79.167.53.177 | — | 1 |
| 179 | 79.167.53.178/32 | 79.167.53.178 to 79.167.53.178 | — | 1 |
| 180 | 79.167.53.179/32 | 79.167.53.179 to 79.167.53.179 | — | 1 |
| 181 | 79.167.53.180/32 | 79.167.53.180 to 79.167.53.180 | — | 1 |
| 182 | 79.167.53.181/32 | 79.167.53.181 to 79.167.53.181 | — | 1 |
| 183 | 79.167.53.182/32 | 79.167.53.182 to 79.167.53.182 | — | 1 |
| 184 | 79.167.53.183/32 | 79.167.53.183 to 79.167.53.183 | — | 1 |
| 185 | 79.167.53.184/32 | 79.167.53.184 to 79.167.53.184 | — | 1 |
| 186 | 79.167.53.185/32 | 79.167.53.185 to 79.167.53.185 | — | 1 |
| 187 | 79.167.53.186/32 | 79.167.53.186 to 79.167.53.186 | — | 1 |
| 188 | 79.167.53.187/32 | 79.167.53.187 to 79.167.53.187 | — | 1 |
| 189 | 79.167.53.188/32 | 79.167.53.188 to 79.167.53.188 | — | 1 |
| 190 | 79.167.53.189/32 | 79.167.53.189 to 79.167.53.189 | — | 1 |
| 191 | 79.167.53.190/32 | 79.167.53.190 to 79.167.53.190 | — | 1 |
| 192 | 79.167.53.191/32 | 79.167.53.191 to 79.167.53.191 | — | 1 |
| 193 | 79.167.53.192/32 | 79.167.53.192 to 79.167.53.192 | — | 1 |
| 194 | 79.167.53.193/32 | 79.167.53.193 to 79.167.53.193 | — | 1 |
| 195 | 79.167.53.194/32 | 79.167.53.194 to 79.167.53.194 | — | 1 |
| 196 | 79.167.53.195/32 | 79.167.53.195 to 79.167.53.195 | — | 1 |
| 197 | 79.167.53.196/32 | 79.167.53.196 to 79.167.53.196 | — | 1 |
| 198 | 79.167.53.197/32 | 79.167.53.197 to 79.167.53.197 | — | 1 |
| 199 | 79.167.53.198/32 | 79.167.53.198 to 79.167.53.198 | — | 1 |
| 200 | 79.167.53.199/32 | 79.167.53.199 to 79.167.53.199 | — | 1 |
| 201 | 79.167.53.200/32 | 79.167.53.200 to 79.167.53.200 | — | 1 |
| 202 | 79.167.53.201/32 | 79.167.53.201 to 79.167.53.201 | — | 1 |
| 203 | 79.167.53.202/32 | 79.167.53.202 to 79.167.53.202 | — | 1 |
| 204 | 79.167.53.203/32 | 79.167.53.203 to 79.167.53.203 | — | 1 |
| 205 | 79.167.53.204/32 | 79.167.53.204 to 79.167.53.204 | — | 1 |
| 206 | 79.167.53.205/32 | 79.167.53.205 to 79.167.53.205 | — | 1 |
| 207 | 79.167.53.206/32 | 79.167.53.206 to 79.167.53.206 | — | 1 |
| 208 | 79.167.53.207/32 | 79.167.53.207 to 79.167.53.207 | — | 1 |
| 209 | 79.167.53.208/32 | 79.167.53.208 to 79.167.53.208 | — | 1 |
| 210 | 79.167.53.209/32 | 79.167.53.209 to 79.167.53.209 | — | 1 |
| 211 | 79.167.53.210/32 | 79.167.53.210 to 79.167.53.210 | — | 1 |
| 212 | 79.167.53.211/32 | 79.167.53.211 to 79.167.53.211 | — | 1 |
| 213 | 79.167.53.212/32 | 79.167.53.212 to 79.167.53.212 | — | 1 |
| 214 | 79.167.53.213/32 | 79.167.53.213 to 79.167.53.213 | — | 1 |
| 215 | 79.167.53.214/32 | 79.167.53.214 to 79.167.53.214 | — | 1 |
| 216 | 79.167.53.215/32 | 79.167.53.215 to 79.167.53.215 | — | 1 |
| 217 | 79.167.53.216/32 | 79.167.53.216 to 79.167.53.216 | — | 1 |
| 218 | 79.167.53.217/32 | 79.167.53.217 to 79.167.53.217 | — | 1 |
| 219 | 79.167.53.218/32 | 79.167.53.218 to 79.167.53.218 | — | 1 |
| 220 | 79.167.53.219/32 | 79.167.53.219 to 79.167.53.219 | — | 1 |
| 221 | 79.167.53.220/32 | 79.167.53.220 to 79.167.53.220 | — | 1 |
| 222 | 79.167.53.221/32 | 79.167.53.221 to 79.167.53.221 | — | 1 |
| 223 | 79.167.53.222/32 | 79.167.53.222 to 79.167.53.222 | — | 1 |
| 224 | 79.167.53.223/32 | 79.167.53.223 to 79.167.53.223 | — | 1 |
| 225 | 79.167.53.224/32 | 79.167.53.224 to 79.167.53.224 | — | 1 |
| 226 | 79.167.53.225/32 | 79.167.53.225 to 79.167.53.225 | — | 1 |
| 227 | 79.167.53.226/32 | 79.167.53.226 to 79.167.53.226 | — | 1 |
| 228 | 79.167.53.227/32 | 79.167.53.227 to 79.167.53.227 | — | 1 |
| 229 | 79.167.53.228/32 | 79.167.53.228 to 79.167.53.228 | — | 1 |
| 230 | 79.167.53.229/32 | 79.167.53.229 to 79.167.53.229 | — | 1 |
| 231 | 79.167.53.230/32 | 79.167.53.230 to 79.167.53.230 | — | 1 |
| 232 | 79.167.53.231/32 | 79.167.53.231 to 79.167.53.231 | — | 1 |
| 233 | 79.167.53.232/32 | 79.167.53.232 to 79.167.53.232 | — | 1 |
| 234 | 79.167.53.233/32 | 79.167.53.233 to 79.167.53.233 | — | 1 |
| 235 | 79.167.53.234/32 | 79.167.53.234 to 79.167.53.234 | — | 1 |
| 236 | 79.167.53.235/32 | 79.167.53.235 to 79.167.53.235 | — | 1 |
| 237 | 79.167.53.236/32 | 79.167.53.236 to 79.167.53.236 | — | 1 |
| 238 | 79.167.53.237/32 | 79.167.53.237 to 79.167.53.237 | — | 1 |
| 239 | 79.167.53.238/32 | 79.167.53.238 to 79.167.53.238 | — | 1 |
| 240 | 79.167.53.239/32 | 79.167.53.239 to 79.167.53.239 | — | 1 |
| 241 | 79.167.53.240/32 | 79.167.53.240 to 79.167.53.240 | — | 1 |
| 242 | 79.167.53.241/32 | 79.167.53.241 to 79.167.53.241 | — | 1 |
| 243 | 79.167.53.242/32 | 79.167.53.242 to 79.167.53.242 | — | 1 |
| 244 | 79.167.53.243/32 | 79.167.53.243 to 79.167.53.243 | — | 1 |
| 245 | 79.167.53.244/32 | 79.167.53.244 to 79.167.53.244 | — | 1 |
| 246 | 79.167.53.245/32 | 79.167.53.245 to 79.167.53.245 | — | 1 |
| 247 | 79.167.53.246/32 | 79.167.53.246 to 79.167.53.246 | — | 1 |
| 248 | 79.167.53.247/32 | 79.167.53.247 to 79.167.53.247 | — | 1 |
| 249 | 79.167.53.248/32 | 79.167.53.248 to 79.167.53.248 | — | 1 |
| 250 | 79.167.53.249/32 | 79.167.53.249 to 79.167.53.249 | — | 1 |
| 251 | 79.167.53.250/32 | 79.167.53.250 to 79.167.53.250 | — | 1 |
| 252 | 79.167.53.251/32 | 79.167.53.251 to 79.167.53.251 | — | 1 |
| 253 | 79.167.53.252/32 | 79.167.53.252 to 79.167.53.252 | — | 1 |
| 254 | 79.167.53.253/32 | 79.167.53.253 to 79.167.53.253 | — | 1 |
| 255 | 79.167.53.254/32 | 79.167.53.254 to 79.167.53.254 | — | 1 |
| 256 | 79.167.53.255/32 | 79.167.53.255 to 79.167.53.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |